clang-tools 10.0.0

Classes | Namespaces | Functions
Symbol.h File Reference
`#include "SymbolID.h"`
`#include "SymbolLocation.h"`
`#include "SymbolOrigin.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/StringSaver.h"`
Include dependency graph for Symbol.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::Symbol
| The class presents a C++ symbol, e.g. More...
struct | clang::clangd::Symbol::IncludeHeaderWithReferences
class | clang::clangd::SymbolSlab
| An immutable symbol container that stores a set of symbols. More...
class | clang::clangd::SymbolSlab::Builder
| SymbolSlab::Builder is a mutable container that can 'freeze' to SymbolSlab. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
Symbol::SymbolFlag | clang::clangd::operator| (Symbol::SymbolFlag A, Symbol::SymbolFlag B)
Symbol::SymbolFlag & | clang::clangd::operator|= (Symbol::SymbolFlag &A, Symbol::SymbolFlag B)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Symbol &S)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, Symbol::SymbolFlag F)
template<typename Callback >
void | clang::clangd::visitStrings (Symbol &S, const Callback &CB)
| Invokes Callback with each StringRef& contained in the Symbol. More...
float | clang::clangd::quality (const Symbol &S)
| Computes query-independent quality score for a Symbol. More...